import { getAMonth, getAWeek, getHalfMonth, getRecentDate } from '/@/utils/util';

export const RANGE_SEPARATOR = '到';
export const START_PLACEHOLDER = '起始日期';
export const END_PLACEHOLDER = '结束日期';
export const DEFAULT_FORMATS_TIME = 'HH:mm:ss';
export const DEFAULT_FORMATS_DATE = 'YYYY-MM-DD';
export const CURRENT_DAY = new Date();
export const SHORTCUTS = [
	{
		text: '最近一周',
		value: getAWeek,
	},
	{
		text: '最近半月',
		value: getHalfMonth,
	},
	{
		text: '最近一月',
		value: getAMonth,
	},
] as unknown[];

export const SHORTCUTS1 = [
	{
		text: '今天',
		value: () => getRecentDate(0),
	},
	{
		text: '昨天',
		value: () => getRecentDate(1),
	},
	{
		text: '前天',
		value: () => getRecentDate(2),
	},
];
export const disabledCurrentDate = (date: Date) => {
	return date > CURRENT_DAY;
};